<div class="panneau_details"> <!-- Second bloc permettant l'affichage du détail d'une table -->

    <h2>Affichage des parties</h2>


    <form class="bloc_commandes_sans_flex" method="post" action="#">

        <?php
        $selection = 1;
        if (isset($_POST['selectparty'])) {
            $selection = (int) $_POST["selectparty"];
        }
        echo '<label for="boutonAfficher">Voir Parties</label>';
        echo '<select id="selectpartie" name="selectparty">';
        for ($i = 1; $i <= 50; $i++) {
            echo '<option value="' . $i . '"';
            if ($i == $selection) {
                echo ' selected';
            }
            echo '>Partie n°' . $i . '</option>';
        }
        echo '</select>';
        ?>

        <input type="submit" name="boutonAfficher" value="Afficher" />
        </br>
        <input class="grand_input" type="submit" name="boutonAfficherAVenir"
            value="Cliquez ici pour afficher les parties à venir" />
        <input class="grand_input" type="submit" name="boutonAfficherEnCours"
            value="Cliquez ici pour afficher les parties en cours" />
        </br>

        <tbody>
            <?php
            if (isset($_POST['boutonAfficher'])) {
                $donnees = ['idpartie', 'date_partie', 'horaire'];
                $parties = $parties['instances'][(int) $_POST["selectparty"] - 1];

                $url = 'index.php?page=details&';
                foreach ($donnees as $donnee) {
                    $url .= $donnee . '=' . $parties[$donnee] . '&';
                }
                $url .= 'taille=12';

                echo '<a href="' . $url . '" target="_blank">' . "Afficher les détails de la partie" . '</a>';
            }
            if (!isset($_POST['boutonAfficherAVenir']) && !isset($_POST['boutonAfficherEnCours']) && !isset($_POST['boutonAfficherPartiesTerminees']) && !isset($_POST['boutonAfficher'])) {
                echo '<h2>Choisissez une option pour afficher les parties</h2>';
            }
            ?>
            <?php if ($message != "") { ?>

                <p class="notification">
                    <?= $message ?>
                </p>

            <?php } else {
                if (isset($_POST['boutonAfficherAVenir'])) { ?>
                    <table class="table_resultat">
                        <thead>
                            <tr>
                                <?php
                                //var_dump($resultats);
                                foreach ($parties_a_venir['schema'] as $att) {  // pour parcourir les attributs
                                    echo '<th>';
                                    echo $att['nom'];
                                    echo '</th>';
                                }
                                ?>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                            if (empty($parties_a_venir['instances'])) {
                                echo '<tr><td colspan="' . count($parties_a_venir['schema']) . '">Aucune partie à venir</td></tr>';
                            } else {
                                foreach ($parties_a_venir['instances'] as $row) {  // pour parcourir les n-uplets
                                    echo '<tr>';
                                    foreach ($row as $valeur) { // pour parcourir chaque valeur de n-uplets			
                                        echo '<td>' . $valeur . '</td>';
                                    }
                                    echo '</tr>';
                                }
                            }
                            ?>
                        </tbody>
                    </table>
                <?php } ?>

                <?php if (isset($_POST['boutonAfficherEnCours'])) { ?>
                    <table class="table_resultat">
                        <thead>
                            <tr>
                                <?php
                                //var_dump($resultats);
                                foreach ($parties_en_cours['schema'] as $att) {  // pour parcourir les attributs
                                    echo '<th>';
                                    echo $att['nom'];
                                    echo '</th>';
                                }
                                ?>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                            if (empty($parties_en_cours['instances'])) {
                                echo '<tr><td colspan="' . count($parties_en_cours['schema']) . '">Aucune partie en cours</td></tr>';
                            } else {
                                foreach ($parties_en_cours['instances'] as $row) {  // pour parcourir les n-uplets
                                    echo '<tr>';
                                    foreach ($row as $valeur) { // pour parcourir chaque valeur de n-uplets			
                                        echo '<td>' . $valeur . '</td>';
                                    }
                                    echo '</tr>';
                                }
                            }
                            ?>
                        </tbody>
                    </table>
                <?php }
            } ?>
        </tbody>
    </form>



    <form class="bloc_commandes_sans_flex" method="post" action="#">
        <label>Rechercher une partie terminée</label>
        <select id="selectpartieterminee" name="selectpartyterminee">
            <option value="toutes">Toutes les parties terminées</option>
            <option value="recentes">Les 50 parties les plus récentes</option>
            <option value="rapides">Les 50 parties plus rapides par taille de plateau</option>
        </select>

        <input type="submit" name="boutonAfficherPartiesTerminees" value="Afficher" />

        <tbody>
            <?php if ($message != "") { ?>

                <p class="notification">
                    <?= $messageterminee ?>
                </p>

            <?php } else {
                if (isset($_POST['boutonAfficherPartiesTerminees'])) {
                    $selectedOption = $_POST['selectpartyterminee'];
                    if ($selectedOption == 'toutes') { ?>
                        <table class="table_resultat">
                            <thead>
                                <tr>
                                    <?php
                                    //var_dump($resultats);
                                    foreach ($parties_terminees['schema'] as $att) {  // pour parcourir les attributs
                                        echo '<th>';
                                        echo $att['nom'];
                                        echo '</th>';
                                    }
                                    ?>
                                </tr>
                            </thead>
                            <tbody>
                                <?php
                                if (empty($parties_terminees['instances'])) {
                                    echo '<tr><td colspan="' . count($parties_terminees['schema']) . '">Aucune partie terminée</td></tr>';
                                } else {
                                    foreach ($parties_terminees['instances'] as $row) {  // pour parcourir les n-uplets
                                        echo '<tr>';
                                        foreach ($row as $valeur) { // pour parcourir chaque valeur de n-uplets			
                                            echo '<td>' . $valeur . '</td>';
                                        }
                                        echo '</tr>';
                                    }
                                } ?>
                            </tbody>
                        </table>
                    <?php } elseif ($selectedOption == 'recentes') { ?>
                        <table class="table_resultat">
                            <thead>
                                <tr>
                                    <?php
                                    //var_dump($resultats);
                                    foreach ($parties_terminees_recentes['schema'] as $att) {  // pour parcourir les attributs
                                        echo '<th>';
                                        echo $att['nom'];
                                        echo '</th>';
                                    }
                                    ?>
                                </tr>
                            </thead>
                            <tbody>
                                <?php
                                if (empty($parties_terminees_recentes['instances'])) {
                                    echo '<tr><td colspan="' . count($parties_terminees_recentes['schema']) . '">Aucune partie terminée récente</td></tr>';
                                } else {
                                    foreach ($parties_terminees_recentes['instances'] as $row) {  // pour parcourir les n-uplets
                                        echo '<tr>';
                                        foreach ($row as $valeur) { // pour parcourir chaque valeur de n-uplets			
                                            echo '<td>' . $valeur . '</td>';
                                        }
                                        echo '</tr>';
                                    }
                                } ?>
                            </tbody>
                        </table>
                    <?php } else { ?>
                        <table class="table_resultat">
                            <thead>
                                <tr>
                                    <?php
                                    //var_dump($resultats);
                                    foreach ($parties_terminees_rapides['schema'] as $att) {  // pour parcourir les attributs
                                        echo '<th>';
                                        echo $att['nom'];
                                        echo '</th>';
                                    }
                                    ?>
                                </tr>
                            </thead>
                            <tbody>
                                <?php
                                if (empty($parties_terminees_rapides['instances'])) {
                                    echo '<tr><td colspan="' . count($parties_terminees_rapides['schema']) . '">Aucune partie terminée rapide</td></tr>';
                                } else {
                                    foreach ($parties_terminees_rapides['instances'] as $row) {  // pour parcourir les n-uplets
                                        echo '<tr>';
                                        foreach ($row as $valeur) { // pour parcourir chaque valeur de n-uplets			
                                            echo '<td>' . $valeur . '</td>';
                                        }
                                        echo '</tr>';
                                    }
                                }
                                ?>
                            </tbody>
                        </table>
                    <?php }
                }
            } ?>
        </tbody>
    </form>

</div>